Bug 51510 - scp belongs to other openssh subpackage
Summary: scp belongs to other openssh subpackage
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 1.0
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-11 12:48 UTC by Michael Tokarev
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-11 12:48:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Tokarev 2001-08-11 12:48:29 UTC
scp command included to openssh base rpm.  But it really belongs to
openssh-client, as it *is* a client by itself obviously, and it depends
on ssh command included into openssh-client only.

Note that this is an issue for *all* openssh versions on all
redhat distros.

No patch included as it is trivial to do (move two lines between
two %files section in .spec file).

Comment 1 Nalin Dahyabhai 2001-09-06 12:49:47 UTC
The scp binary actually implements both the client and server sides of the scp
protocol, so it's neither a client nor a server proper, and likely belongs in
the main package, if only for lack of a better place to put it.


Note You need to log in before you can comment on or make changes to this bug.